Unit tde35e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE35E_p, DE35E_p;

function tde35e: String;

implementation

function tde35e: String;
var
IORDER,M,_i,J,I :Integer;
XN,H,X :Extended;
YN :Array [0..1] of Extended;
DYN :Array [0..1] of Extended;
Y :Array [0..1] of Extended;
DY :Array [0..1] of Extended;
DELTY :Array [0..1] of Extended;
DF :Array [0..9] of Extended;
RFN :Array [0..1] of Extended;
RF :Array [0..1] of Extended;
begin
Result := '';  {   }
IORDER := 5;
M := 2;
H := 0.01e0;
XN := 0.75e0*3.1415926535897932e0;
YN[0] := Sqrt(2.e0)/2.e0;
YN[1] := -YN[0];
DYN[0] := YN[1];
DYN[1] := -YN[0];
DE35E(FDE35E,M,IORDER,XN,YN,DYN,H,X,Y ,DY,DF,RFN,RF,DELTY);
Result := Result + Format(' %20.16f ',[X]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[DY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for J:=1 to 5 do
 begin
  for I:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',[DF[(I-1)+(J-1)*2]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('tde35e',Result);  {     tde35e.res }
exit;
end;

end.
